#ifndef NETWORKDEVICE_H
#define NETWORKDEVICE_H
#include <QByteArray>
#include "AbstractNetworkInterface.h"



class CNetworkDevice
{
public:
    CNetworkDevice(int DeviceID, int DeviceAddress,CAbstractNetworkCommIF *Interface);
    virtual ~CNetworkDevice();
    virtual int NewDeviceFrameReceived(int DeviceID, int DeviceAddress, int MessageID, int DataSize, QByteArray Data) = 0;
    void SetNetworkInterface(CAbstractNetworkCommIF* Interface);
    int GetDeviceID(){return mDeviceID;}
    int GetDeviceAddress(){return mDeviceAddress;}

    int mDeviceID;
    int mDeviceAddress;
    bool mIsOnline;
    CAbstractNetworkCommIF *mNetworkInterfacePtr;

};
#endif // NETWORKDEVICE_H
